#include<bits/stdc++.h>
using namespace std;
string N,M;
int n,br,br1;
int main(){
    cin>>N;
    M=N;
    n=N.size();
    for(int i=0;i<=n-1;i++){
        for(int j=i;j<=n-1;j++){
            if(N[i]==N[j]){
                for(int k=i+1;k<=j-1;k++){
                    if(N[k]==N[k+1])br1++;
                }
                for(int k=i+1;k<=j-1;k++){
                    if(br1<=2)N[k]=N[i];
                    else N[i]=N[k];
                }
            }
        }
    }
    for(int i=0;i<=n-1;i++){
        if(N[i]!=M[i])br++;
    }
    cout<<br<<endl;
return 0;
}